%{?nodejs_find_provides_and_requires}

%global packagename is-valid-app
%global enable_tests 1

Name:		nodejs-is-valid-app
Version:	0.3.0
Release:	1%{?dist}
Summary:	Wrapper around is-valid-instance and is-registered for validating base plugins

License:	MIT
URL:		https://github.com/node-base/is-valid-app
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/node-base/%{packagename}/%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(lazy-cache)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(base)
BuildRequires:	npm(is-registered)
BuildRequires:	npm(is-valid-instance)
%endif

%description
Wrapper around is-valid-instance and is-registered for validating base
plugins. Returns true if app is a valid instance of base and a plugin is not
registered yet.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep debug

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js utils.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Initial packaging
